import { createServiceFactory, bootstrap } from '@cobo/apm-rum-react-native-core';
import ApmBase from './apm-base';

function getApmBase() {
  if (window.elasticApm) {
    return window.elasticApm;
  }

  var enabled = bootstrap();
  var serviceFactory = createServiceFactory();
  var apmBase = new ApmBase(serviceFactory, !enabled);
  window.elasticApm = apmBase;
  return apmBase;
}

var apmBase = getApmBase();
var init = apmBase.init.bind(apmBase);
export default init;
export { init, apmBase, ApmBase, apmBase as apm };